Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynFixed Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynFixed:

[legend]
Collaboration diagram for DynamicAny::DynFixed:

[legend]
List of all members.

## Public Types
typedef DynFixed_ptr | _ptr_type
typedef DynFixed_var | _var_type
## Public Methods
virtual char * | get_value (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | set_value (const char *val ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
DynFixed_ptr | _duplicate (DynFixed_ptr obj)
DynFixed_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DynFixed_ptr | _nil (void)
## Protected Methods
| DynFixed (void)
virtual | ~DynFixed (void)
## Private Methods
| DynFixed (const DynFixed &)
void | operator= (const DynFixed &)

## Member Typedef Documentation

typedef DynFixed_ptr DynamicAny::DynFixed::_ptr_type

| Reimplemented from DynamicAny::DynAny.

typedef DynFixed_var DynamicAny::DynFixed::_var_type

| Reimplemented from DynamicAny::DynAny.

## Constructor & Destructor Documentation

DynamicAny::DynFixed::DynFixed | ( | void |  | ) | `[protected]`

DynamicAny::DynFixed::~DynFixed | ( | void |  | ) | `[protected, virtual]`

DynamicAny::DynFixed::DynFixed | ( | const DynFixed & |  | ) | `[private]`

## Member Function Documentation

DynamicAny::DynFixed_ptr DynamicAny::DynFixed::_duplicate | ( | DynFixed_ptr | obj | ) | `[static]`

const char * DynamicAny::DynFixed::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from DynamicAny::DynAny.

virtual CORBA::Boolean DynamicAny::DynFixed::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from DynamicAny::DynAny.

DynFixed_ptr DynamicAny::DynFixed::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from DynamicAny::DynAny.

DynFixed_ptr DynamicAny::DynFixed::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from DynamicAny::DynAny.

virtual char* DynamicAny::DynFixed::get_value | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

CORBA::Boolean DynamicAny::DynFixed::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from DynamicAny::DynAny.

void DynamicAny::DynFixed::operator= | ( | const DynFixed & |  | ) | `[private]`

virtual CORBA::Boolean DynamicAny::DynFixed::set_value | ( | const char *val | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp